Bug 67828 - xargs --help missing trailing newline
Summary: xargs --help missing trailing newline
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: findutils (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-02 16:03 UTC by Brian Brock
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-03 16:35:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian Brock 2002-07-02 16:03:00 UTC
Description of Problem:
output from `/usr/bin/xargs --help` appears to be missing the trailing newline

Version-Release number of selected component (if applicable):
findutils-4.1.7-6 (verified in rawhide version as well, likely has not been
fixed in any recent builds)

How Reproducible:
100%

Steps to Reproduce:
1. run `xargs --help`, observe output

Actual Results:
[root@caprice:~/tet]# xargs --help
Usage: xargs [-0prtx] [-e[eof-str]] [-i[replace-str]] [-l[max-lines]]
       [-n max-args] [-s max-chars] [-P max-procs] [--null] [--eof[=eof-str]]
       [--replace[=replace-str]] [--max-lines[=max-lines]] [--interactive]
       [--max-chars=max-chars] [--verbose] [--exit] [--max-procs=max-procs]
       [--max-args=max-args] [--no-run-if-empty] [--version] [--help]
       [command [initial-arguments]]

Report bugs to <bug-findutils@gnu.org>.[root@caprice:~/tet]#

Expected Results:
[root@caprice:~/tet]# xargs --help
Usage: xargs [-0prtx] [-e[eof-str]] [-i[replace-str]] [-l[max-lines]]
       [-n max-args] [-s max-chars] [-P max-procs] [--null] [--eof[=eof-str]]
       [--replace[=replace-str]] [--max-lines[=max-lines]] [--interactive]
       [--max-chars=max-chars] [--verbose] [--exit] [--max-procs=max-procs]
       [--max-args=max-args] [--no-run-if-empty] [--version] [--help]
       [command [initial-arguments]]

Report bugs to <bug-findutils@gnu.org>.
[root@caprice:~/tet]#

(note the diff is only in the last character printed.)

Additional Information:

Comment 1 Brian Brock 2002-07-02 16:15:37 UTC
changing QA owner; I'm not taking the rest of the related packages/bugs, but it
seems reasonably to keep an eye on this for the time being.

Comment 2 Tim Waugh 2002-07-03 16:35:42 UTC
Fixed in 4.1.7-7.

Comment 3 Brian Brock 2002-07-18 19:05:31 UTC
fix verified in findutils-4.1.7-7.

Closing as resolved/rawhide.


Note You need to log in before you can comment on or make changes to this bug.